FUNCTION TEMP(3)

NAME
boost::algorithm::token_finder - "Token" finder

SYNOPSIS

// In header: <boost/algorithm/string/finder.hpp>
template<typename PredicateT>
  unspecified token_finder(PredicateT Pred,
                           token_compress_mode_type eCompress = token_compress_off);

DESCRIPTION

Construct the token_finder. The finder searches for a token specified by a predicate. It is similar to std::find_if algorithm, with an exception that it return a range of instead of a single iterator.

If "compress token mode" is enabled, adjacent matching tokens are concatenated into one match. Thus the finder can be used to search for continuous segments of characters satisfying the given predicate.

The result is given as an iterator_range delimiting the match.

Parameters:

    Pred
        An element selection predicate

    eCompress
        Compress flag

Returns:
    An instance of the token_finder object